Handling invalid email format returned from an authentication source

06/17/2016 06:29 AM - Ashish Humbe

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1317745 Red Hat JIRA:  

Pull request:    

Description

If the email address is not updated correctly in the LDAP, then while logging to Foreman web UI with the same username fails with

error "Incorrect username or password" error.

But the error message from the foreman log says "Email address is invalid"

Error message from log file:

2016-03-11 04:18:15 [I] Failed to save User 'sat6-user2' ["Email address is invalid"]

2016-03-11 04:18:15 [I] invalid user

2016-03-11 04:18:15 [I] Redirected to https://satellite.example.com/users/login

2016-03-11 04:18:15 [I] Completed 302 Found in 945ms (ActiveRecord: 2.7ms)

The error message in the web UI is misleading.

If the email address is incorrect then the user should be redirected to edit the user details page after successful login.

Related issues:

Is duplicate of Foreman - Bug #14720: User not shown error message when inval... Closed 04/19/2016

History

#1 - 06/17/2016 06:34 AM - Dominic Cleal

- Is duplicate of Bug #14720: User not shown error message when invalid email address copied from external auth source  added

#2 - 06/17/2016 06:34 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this is tracked under #14720.
